## CSV file format

With HomeBank you can import/export some of the internal datas in the most common file format that is CSV.

The format used for the different files is specific to HomeBank, so don't expect to import files your bank should offers you directly, you will need to arrange it a little in a tabler like gnumeric before.

This part was fast coded with few test, so it may crash if the file does not reflect the expected format. This will of course be fixed in later version.

Below is a description with example of the CSV format that HomeBank uses.

### Payee

    	Column list:
    	payee_name

Example:
payee_name1 payee_name2 ...

### Category

    	Column list:
    	level;type;category_name

    	Values:
    	level => 1:category, 2:subcategory
    	type  => -:expense, +:income

Example:
1;-;Food 2; ;Grocer 2; ;Restaurant 1;+;Wage ...

### Budget

    	Column list:
    	type;category_name;value(s)

    	Values:
    	type     => *:monthly, blank:custom
    	value(s) => a single if typeis monthly, 12 ';' separated otherwise

Example:
*;Fuel;45.00 ;Domestic animals;1.00;2.00;3.00;4.00;... *;Food;17.00 ...

### Transaction

    	Column list:
    	date;mode;info;payee;description;amount;category

    	Values:
    	date     => format should be DD-MM-YY
    	mode     => from 0=none to 5=personal transfert
    	info     => a string (16car max.)
    	payee    => a payee name
    	description  => a string (32car max.)
    	amount   => a number with a '.' as decimal seperator, ex: -24.12 or 36.75
    	category => a category name

Example:
15-02-04;0;;;Some cash;-40,00;Withdrawal of cash 15-02-04;1;;;Internet DSL;-45,00;In line service/Internet ...